Bug 44051 - Update X-Chat to 1.8.10
Summary: Update X-Chat to 1.8.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jim Mock
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-14 14:30 UTC by xi
Modified: 2002-10-21 17:26 UTC (History)
1 user (show)

See Also:


Attachments
xchat.diff (625 bytes, patch)
2002-10-14 14:30 UTC, xi
no flags Details | Diff
xchat.diff (3.41 KB, patch)
2002-10-15 17:22 UTC, Joe Marcus Clarke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xi 2002-10-14 14:30:03 UTC
X-Chat 1.8.10 has been available for more than 2 months now.

I notified the maintainer a month or so ago, but nothing has happened so far.
Comment 1 xi 2002-10-14 15:21:36 UTC
Christian Laursen <xi@borderworlds.dk> writes:

> >Number:         44051
> >Category:       ports
> >Synopsis:       Update X-Chat to 1.8.10

Hmm, this doesn't seem to work. The build is broken somehow.
I'll need to figure it out and send an updated diff.

-- 
Best regards
    Christian Laursen
Comment 2 Ying-Chieh Liao freebsd_committer 2002-10-14 15:27:14 UTC
Responsible Changed
From-To: freebsd-ports->jim

over to maintainer
Comment 3 dev-null 2002-10-14 19:32:37 UTC
Christian Laursen <xi@borderworlds.dk> writes:

> The following reply was made to PR ports/44051; it has been noted by GNATS.
> 
> From: Christian Laursen <xi@borderworlds.dk>
> To: FreeBSD-gnats-submit@FreeBSD.org
> Cc:  
> Subject: Re: ports/44051: Update X-Chat to 1.8.10
> Date: 14 Oct 2002 16:21:36 +0200
> 
>  Christian Laursen <xi@borderworlds.dk> writes:
>  
>  > >Number:         44051
>  > >Category:       ports
>  > >Synopsis:       Update X-Chat to 1.8.10
>  
>  Hmm, this doesn't seem to work. The build is broken somehow.
>  I'll need to figure it out and send an updated diff.

It seems to be NLS that is broken somehow.

Either someone needs to fix that, or it can just be disabled.

This patch does the latter.

diff -ur xchat.orig/Makefile xchat/Makefile
--- xchat.orig/Makefile	Sun Sep  8 05:47:52 2002
+++ xchat/Makefile	Mon Oct 14 20:04:13 2002
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=		xchat
-PORTVERSION=		1.8.9
+PORTVERSION=		1.8.10
 CATEGORIES+=		irc gnome ipv6
 MASTER_SITES=		http://xchat.org/files/source/1.8/ \
 			http://xchat.linuxpower.org/files/source/1.8/
@@ -31,7 +31,7 @@
 CONFIGURE_ENV+=		CPPFLAGS="-I${LOCALBASE}/include" \
 			LIBS="-L${LOCALBASE}/lib -lintl -liconv"
 CONFIGURE_ARGS+=	--without-included-gettext \
-			--enable-nls \
+			--disable-nls \
 			--enable-ipv6 \
 			--datadir="${PREFIX}/share" \
 			--enable-perl
diff -ur xchat.orig/distinfo xchat/distinfo
--- xchat.orig/distinfo	Sun May 26 01:19:43 2002
+++ xchat/distinfo	Mon Oct 14 19:40:21 2002
@@ -1 +1 @@
-MD5 (xchat-1.8.9.tar.bz2) = a7d3723053fbee23399647f88afd15fa
+MD5 (xchat-1.8.10.tar.bz2) = 9295830df5d040d7723620322a65f89c
diff -ur xchat.orig/pkg-plist xchat/pkg-plist
--- xchat.orig/pkg-plist	Fri Jan 11 03:00:24 2002
+++ xchat/pkg-plist	Mon Oct 14 20:20:04 2002
@@ -17,32 +17,3 @@
 %%GNOME:%%share/gnome/apps/Internet/xchat.desktop
 %%GNOME:%%share/gnome/pixmaps/xchat.png
 %%PORTDOCS%%@dirrm share/doc/xchat
-share/locale/ca/LC_MESSAGES/xchat.mo
-share/locale/cs/LC_MESSAGES/xchat.mo
-share/locale/da/LC_MESSAGES/xchat.mo
-share/locale/de/LC_MESSAGES/xchat.mo
-share/locale/el/LC_MESSAGES/xchat.mo
-share/locale/es/LC_MESSAGES/xchat.mo
-share/locale/fi/LC_MESSAGES/xchat.mo
-share/locale/fr/LC_MESSAGES/xchat.mo
-share/locale/he/LC_MESSAGES/xchat.mo
-share/locale/hu/LC_MESSAGES/xchat.mo
-share/locale/it/LC_MESSAGES/xchat.mo
-share/locale/ja/LC_MESSAGES/xchat.mo
-share/locale/ko/LC_MESSAGES/xchat.mo
-share/locale/lt/LC_MESSAGES/xchat.mo
-share/locale/lv/LC_MESSAGES/xchat.mo
-share/locale/nl/LC_MESSAGES/xchat.mo
-share/locale/no/LC_MESSAGES/xchat.mo
-share/locale/pt/LC_MESSAGES/xchat.mo
-share/locale/pt_BR/LC_MESSAGES/xchat.mo
-share/locale/ro/LC_MESSAGES/xchat.mo
-share/locale/ru/LC_MESSAGES/xchat.mo
-share/locale/sk/LC_MESSAGES/xchat.mo
-share/locale/sl/LC_MESSAGES/xchat.mo
-share/locale/sr/LC_MESSAGES/xchat.mo
-share/locale/sv/LC_MESSAGES/xchat.mo
-share/locale/tr/LC_MESSAGES/xchat.mo
-share/locale/uk/LC_MESSAGES/xchat.mo
-share/locale/zh_CN/LC_MESSAGES/xchat.mo
-share/locale/zh_TW.Big5/LC_MESSAGES/xchat.mo


-- 
Best regards
    Christian Laursen
Comment 4 Jim Mock freebsd_committer 2002-10-15 09:04:15 UTC
On Mon, 14 Oct 2002 at 20:32:37 +0200, Christian Laursen wrote:
> Christian Laursen <xi@borderworlds.dk> writes:
> >  > >Number:         44051
> >  > >Category:       ports
> >  > >Synopsis:       Update X-Chat to 1.8.10
> >  
> >  Hmm, this doesn't seem to work. The build is broken somehow.
> >  I'll need to figure it out and send an updated diff.
> 
> It seems to be NLS that is broken somehow.
> 
> Either someone needs to fix that, or it can just be disabled.

This is exactly why it hasn't been updated yet.  Also, the fact that
none of the about 10 people who "let me know" 1.8.10 was out didn't
include any diffs.  I currently don't have access to a FreeBSD machine
with X on it, so no working diffs == no update.  I did have the ability
to test it a month or two ago (shortly after 1.8.10 came out) but didn't
get a chance to look into the NLS issue before I lost my connectivity
and boxes with X.

Disabling NLS support does (or did when I tested it) seem to work, but
that seems like a fairly crappy option when the current ported version
actually builds with NLS support.

I've Cc'd gnome@FreeBSD.org on this to see if anybody shows interest in
looking into the NLS stuff.  If not, and there's enough demand where
users want the upgrade and don't care about the NLS support, I'll commit
it.  I'll give it a week or so.

- jim

-- 
jim mock <mij@soupnazi.org>                            jim@FreeBSD.org
Comment 5 Joe Marcus Clarke 2002-10-15 16:53:24 UTC
On Tue, 2002-10-15 at 04:04, Jim Mock wrote:
> On Mon, 14 Oct 2002 at 20:32:37 +0200, Christian Laursen wrote:
> > Christian Laursen <xi@borderworlds.dk> writes:
> > >  > >Number:         44051
> > >  > >Category:       ports
> > >  > >Synopsis:       Update X-Chat to 1.8.10
> > >  
> > >  Hmm, this doesn't seem to work. The build is broken somehow.
> > >  I'll need to figure it out and send an updated diff.
> > 
> > It seems to be NLS that is broken somehow.
> > 
> > Either someone needs to fix that, or it can just be disabled.
> 
> This is exactly why it hasn't been updated yet.  Also, the fact that
> none of the about 10 people who "let me know" 1.8.10 was out didn't
> include any diffs.  I currently don't have access to a FreeBSD machine
> with X on it, so no working diffs == no update.  I did have the ability
> to test it a month or two ago (shortly after 1.8.10 came out) but didn't
> get a chance to look into the NLS issue before I lost my connectivity
> and boxes with X.
> 
> Disabling NLS support does (or did when I tested it) seem to work, but
> that seems like a fairly crappy option when the current ported version
> actually builds with NLS support.
> 
> I've Cc'd gnome@FreeBSD.org on this to see if anybody shows interest in
> looking into the NLS stuff.  If not, and there's enough demand where
> users want the upgrade and don't care about the NLS support, I'll commit
> it.  I'll give it a week or so.

I'll take a look.

Joe

> 
> - jim
> 
> -- 
> jim mock <mij@soupnazi.org>                            jim@FreeBSD.org
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-gnome" in the body of the message
> 
-- 
PGP Key : http://www.marcuscom.com/pgp.asc
Comment 6 Joe Marcus Clarke 2002-10-15 17:22:05 UTC
On Tue, 2002-10-15 at 04:04, Jim Mock wrote:
> On Mon, 14 Oct 2002 at 20:32:37 +0200, Christian Laursen wrote:
> > Christian Laursen <xi@borderworlds.dk> writes:
> > >  > >Number:         44051
> > >  > >Category:       ports
> > >  > >Synopsis:       Update X-Chat to 1.8.10
> > >  
> > >  Hmm, this doesn't seem to work. The build is broken somehow.
> > >  I'll need to figure it out and send an updated diff.
> > 
> > It seems to be NLS that is broken somehow.
> > 
> > Either someone needs to fix that, or it can just be disabled.
> 
> This is exactly why it hasn't been updated yet.  Also, the fact that
> none of the about 10 people who "let me know" 1.8.10 was out didn't
> include any diffs.  I currently don't have access to a FreeBSD machine
> with X on it, so no working diffs == no update.  I did have the ability
> to test it a month or two ago (shortly after 1.8.10 came out) but didn't
> get a chance to look into the NLS issue before I lost my connectivity
> and boxes with X.
> 
> Disabling NLS support does (or did when I tested it) seem to work, but
> that seems like a fairly crappy option when the current ported version
> actually builds with NLS support.
> 
> I've Cc'd gnome@FreeBSD.org on this to see if anybody shows interest in
> looking into the NLS stuff.  If not, and there's enough demand where
> users want the upgrade and don't care about the NLS support, I'll commit
> it.  I'll give it a week or so.
> 

Here you go.  This will update the port to 1.8.10, fix the NLS issues,
and add two plist entries.

Joe


-- 
PGP Key : http://www.marcuscom.com/pgp.asc
Comment 7 Joe Marcus Clarke freebsd_committer 2002-10-21 17:26:26 UTC
State Changed
From-To: open->closed

I just committed an update per Jim's approval.  This issue can be closed.